CompilerConfiguration (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.CompilerConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Interface CompilerConfiguration

All Superinterfaces:
  ProcessorConfiguration

All Known Implementing Classes:
  CommandLineCompilerConfiguration

    public interface CompilerConfiguration

extends ProcessorConfiguration

A configuration for a compiler

Author:
  Curt Arnold

Method Summary
`void` | `compile(CCTask task, java.io.File outputDir, java.lang.String[] sourceFiles, boolean relentless, ProgressMonitor monitor)`
`CompilerConfiguration[]` | `createPrecompileConfigurations(java.io.File prototype, java.lang.String[] nonPrecompiledFiles)` This method may be used to get two distinct compiler configurations, one for compiling the specified file and producing a precompiled header file, and a second for compiling other files using the precompiled header file.
`java.lang.String` | `getIncludePathIdentifier()` Returns an digest for the include path for the configuration.
`CompilerParam` | `getParam(java.lang.String name)`
`boolean` | `isPrecompileGeneration()`
`DependencyInfo` | `parseIncludes(CCTask task, java.io.File baseDir, java.io.File source)`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration
`bid, getIdentifier, getOutputFileNames, getParams, getRebuild`

Method Detail

### compile

    void compile(CCTask task,
                 java.io.File outputDir,
                 java.lang.String[] sourceFiles,
                 boolean relentless,
                 ProgressMonitor monitor)
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### createPrecompileConfigurations

    CompilerConfiguration[] createPrecompileConfigurations(java.io.File prototype,
                                                           java.lang.String[] nonPrecompiledFiles)

  This method may be used to get two distinct compiler configurations, one for compiling the specified file and producing a precompiled header file, and a second for compiling other files using the precompiled header file. The last (preferrably only) include directive in the prototype file will be used to mark the boundary between pre-compiled and normally compiled headers.

  Parameters:
    `prototype` - A source file (for example, stdafx.cpp) that is used to build the precompiled header file. @returns null if precompiled headers are not supported or a two element array containing the precompiled header generation configuration and the consuming configuration

### getIncludePathIdentifier

    java.lang.String getIncludePathIdentifier()

  Returns an digest for the include path for the configuration. This is used to determine if cached dependency information is invalid because the include paths have changed

### getParam

    CompilerParam getParam(java.lang.String name)

### isPrecompileGeneration

    boolean isPrecompileGeneration()

### parseIncludes

    DependencyInfo parseIncludes(CCTask task,
                                 java.io.File baseDir,
                                 java.io.File source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.